# UpdateLayerParams

***

The value you need to pass to [LayersController.updateLayer](/js-sdk-api-reference/layers/layerscontroller.md#updatelayer)

## Properties

### id

> **id**: `string`

The id of the layer to update.

***

### shownInLegend?

> `optional` **shownInLegend**: `boolean`

Changes whether the layer is shown in the legend.

***

### legendDisplay?

> `optional` **legendDisplay**: `"default"` | `"nameOnly"`

Changes the layer's legend display mode.

See [LegendDisplay](/js-sdk-api-reference/layers/legenddisplay.md) for more details.

***

### name?

> `optional` **name**: `string`

Changes the name of the layer.

***

### caption?

> `optional` **caption**: `string`

Changes the caption of the layer.

***

### description?

> `optional` **description**: `string`

Changes the description of the layer.

***

### bounds?

> `optional` **bounds**: \[`number`, `number`, `number`, `number`]

Changes the bounds of the layer.

***

### style?

> `optional` **style**: `object`

The style of the layer.

***

### source?

> `optional` **source**: [`GeoJsonUrlVectorSource`](/js-sdk-api-reference/layers/geojsonurlvectorsource.md) | [`GeoJsonDataVectorSource`](/js-sdk-api-reference/layers/geojsondatavectorsource.md) | [`GeoJsonFileVectorSource`](/js-sdk-api-reference/layers/geojsonfilevectorsource.md)

Updates the source of the layer.

Only layers that have a GeoJSON source can have their source udpated.

For URL sources, if you pass the same URL again it will cause the data to be refreshed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.felt.com/js-sdk-api-reference/layers/updatelayerparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
